package base

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

type AttributeGroupValstDAO interface {
	//插入AttributeGroupValst
	InsertOne(entity *model.AttributeGroupValst) error
	//删除指定键的AttributeGroupValst
	DeleteOne(attrCode int, attrGrpCode int) error
	//查找指定键的AttributeGroupValst
	SelectOne(attrCode int, attrGrpCode int) (*model.AttributeGroupValst, error)
	//修改AttributeGroupValst
	UpdateOne(entity *model.AttributeGroupValst) error
	//按条件查询AttributeGroupValst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.AttributeGroupValst, error)
	//按条件查询AttributeGroupValst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewAttributeGroupValstDAO(session *xorm.Session, plantNr int, userid string) AttributeGroupValstDAO {
	return implments.NewAttributeGroupValstDAOImplement(session, plantNr, userid)
}
