package om

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/om/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/om"
	"github.com/go-xorm/xorm"
)

type ProdOrderQtyRecLstDAO interface {
	//插入ProdOrderQtyRecLst
	InsertOne(entity *model.ProdOrderQtyRecLst) error
	//删除指定键的ProdOrderQtyRecLst
	DeleteOne(prodOrderId string, pos int) error
	//查找指定键的ProdOrderQtyRecLst
	SelectOne(prodOrderId string, pos int) (*model.ProdOrderQtyRecLst, error)
	//修改ProdOrderQtyRecLst
	UpdateOne(entity *model.ProdOrderQtyRecLst) error
	//按条件查询ProdOrderQtyRecLst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.ProdOrderQtyRecLst, error)
	//按条件查询ProdOrderQtyRecLst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewProdOrderQtyRecLstDAO(session *xorm.Session, plantNr int, userid string) ProdOrderQtyRecLstDAO {
	return implments.NewProdOrderQtyRecLstDAOImplement(session, plantNr, userid)
}
