package om

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/om/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/om"
	"github.com/go-xorm/xorm"
)

type ProdOrderStatusRecLstDAO interface {
	//插入ProdOrderStatusRecLst
	InsertOne(entity *model.ProdOrderStatusRecLst) error
	//删除指定键的ProdOrderStatusRecLst
	DeleteOne(prodOrderId string, pos int) error
	//查找指定键的ProdOrderStatusRecLst
	SelectOne(prodOrderId string, pos int) (*model.ProdOrderStatusRecLst, error)
	//修改ProdOrderStatusRecLst
	UpdateOne(entity *model.ProdOrderStatusRecLst) error
	//按条件查询ProdOrderStatusRecLst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.ProdOrderStatusRecLst, error)
	//按条件查询ProdOrderStatusRecLst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewProdOrderStatusRecLstDAO(session *xorm.Session, plantNr int, userid string) ProdOrderStatusRecLstDAO {
	return implments.NewProdOrderStatusRecLstDAOImplement(session, plantNr, userid)
}
