package qm

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/qm/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
	"github.com/go-xorm/xorm"
)

type ViewDefectGrplstDAO interface {
	//插入ViewDefectGrplst
	InsertOne(entity *model.ViewDefectGrplst) error
	//删除指定键的ViewDefectGrplst
	DeleteOne(viewId string, defectGrpId string) error
	//查找指定键的ViewDefectGrplst
	SelectOne(viewId string, defectGrpId string) (*model.ViewDefectGrplst, error)
	//修改ViewDefectGrplst
	UpdateOne(entity *model.ViewDefectGrplst) error
	//按条件查询ViewDefectGrplst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.ViewDefectGrplst, error)
	//按条件查询ViewDefectGrplst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewViewDefectGrplstDAO(session *xorm.Session, plantNr int, userid string) ViewDefectGrplstDAO {
	return implments.NewViewDefectGrplstDAOImplement(session, plantNr, userid)
}
