package qm

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/qm/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
	"github.com/go-xorm/xorm"
)

type ViewDefectlstDAO interface {
	//插入ViewDefectlst
	InsertOne(entity *model.ViewDefectlst) error
	//删除指定键的ViewDefectlst
	DeleteOne(viewId string, defectReasonId string) error
	//查找指定键的ViewDefectlst
	SelectOne(viewId string, defectReasonId string) (*model.ViewDefectlst, error)
	//修改ViewDefectlst
	UpdateOne(entity *model.ViewDefectlst) error
	//按条件查询ViewDefectlst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.ViewDefectlst, error)
	//按条件查询ViewDefectlst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewViewDefectlstDAO(session *xorm.Session, plantNr int, userid string) ViewDefectlstDAO {
	return implments.NewViewDefectlstDAOImplement(session, plantNr, userid)
}
