package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type ArticleService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.Article) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.Article, error)
	UpdateOne(*models.Usertab, *model.Article) error
}

func NewArticleService() ArticleService {
	return implments.NewArticleServiceImplement()
}
