package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type AttributeGroupService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.AttributeGroup) error
	DeleteOne(*models.Usertab, int) error
	SelectOne(*models.Usertab, int) (*model.AttributeGroup, error)
	UpdateOne(*models.Usertab, *model.AttributeGroup) error
}

func NewAttributeGroupService() AttributeGroupService {
	return implments.NewAttributeGroupServiceImplement()
}
