package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type PlantService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.Plant) error
	DeleteOne(*models.Usertab) error
	SelectOne(*models.Usertab) (*model.Plant, error)
	UpdateOne(*models.Usertab, *model.Plant) error
}

func NewPlantService() PlantService {
	return implments.NewPlantServiceImplement()
}
