package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type WorkLineSpecialDayService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.WorkLineSpecialDay) error
	DeleteOne(*models.Usertab, string, string) error
	SelectOne(*models.Usertab, string, string) (*model.WorkLineSpecialDay, error)
	UpdateOne(*models.Usertab, *model.WorkLineSpecialDay) error
}

func NewWorkLineSpecialDayService() WorkLineSpecialDayService {
	return implments.NewWorkLineSpecialDayServiceImplement()
}
