package log

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"LAPP_GAAS_GFrame_BACKEND/services/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type PackOrderItemlstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.PackOrderItemlst) error
	DeleteOne(*models.Usertab, string, int) error
	SelectOne(*models.Usertab, string, int) (*model.PackOrderItemlst, error)
	UpdateOne(*models.Usertab, *model.PackOrderItemlst) error
}

func NewPackOrderItemlstService() PackOrderItemlstService {
	return implments.NewPackOrderItemlstServiceImplement()
}
