package log

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"LAPP_GAAS_GFrame_BACKEND/services/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type PackTemplateItemlstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.PackTemplateItemlst) error
	DeleteOne(*models.Usertab, string, int) error
	SelectOne(*models.Usertab, string, int) (*model.PackTemplateItemlst, error)
	UpdateOne(*models.Usertab, *model.PackTemplateItemlst) error
}

func NewPackTemplateItemlstService() PackTemplateItemlstService {
	return implments.NewPackTemplateItemlstServiceImplement()
}
