package log

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"LAPP_GAAS_GFrame_BACKEND/services/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type PackTemplatePrintlstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.PackTemplatePrintlst) error
	DeleteOne(*models.Usertab, string, int) error
	SelectOne(*models.Usertab, string, int) (*model.PackTemplatePrintlst, error)
	UpdateOne(*models.Usertab, *model.PackTemplatePrintlst) error
}

func NewPackTemplatePrintlstService() PackTemplatePrintlstService {
	return implments.NewPackTemplatePrintlstServiceImplement()
}
