package log

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"LAPP_GAAS_GFrame_BACKEND/services/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type PackTypeService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.PackType) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.PackType, error)
	UpdateOne(*models.Usertab, *model.PackType) error
}

func NewPackTypeService() PackTypeService {
	return implments.NewPackTypeServiceImplement()
}
