package log

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"LAPP_GAAS_GFrame_BACKEND/services/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type VendorService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.Vendor) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.Vendor, error)
	UpdateOne(*models.Usertab, *model.Vendor) error
}

func NewVendorService() VendorService {
	return implments.NewVendorServiceImplement()
}
