package log

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"LAPP_GAAS_GFrame_BACKEND/services/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type VendorArtLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.VendorArtLst) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.VendorArtLst, error)
	UpdateOne(*models.Usertab, *model.VendorArtLst) error
}

func NewVendorArtLstService() VendorArtLstService {
	return implments.NewVendorArtLstServiceImplement()
}
