package log

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"LAPP_GAAS_GFrame_BACKEND/services/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type VendorUserLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.VendorUserLst) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.VendorUserLst, error)
	UpdateOne(*models.Usertab, *model.VendorUserLst) error
}

func NewVendorUserLstService() VendorUserLstService {
	return implments.NewVendorUserLstServiceImplement()
}
