package ods

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/ods"
	"LAPP_GAAS_GFrame_BACKEND/services/ods/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type ArtRouteStepOdsLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ArtRouteStepOdsLst) error
	DeleteOne(*models.Usertab, string, int, int, int) error
	SelectOne(*models.Usertab, string, int, int, int) (*model.ArtRouteStepOdsLst, error)
	UpdateOne(*models.Usertab, *model.ArtRouteStepOdsLst) error
}

func NewArtRouteStepOdsLstService() ArtRouteStepOdsLstService {
	return implments.NewArtRouteStepOdsLstServiceImplement()
}
