package ods

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/ods"
	"LAPP_GAAS_GFrame_BACKEND/services/ods/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type OdsStepLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.OdsStepLst) error
	DeleteOne(*models.Usertab, string, int) error
	SelectOne(*models.Usertab, string, int) (*model.OdsStepLst, error)
	UpdateOne(*models.Usertab, *model.OdsStepLst) error
}

func NewOdsStepLstService() OdsStepLstService {
	return implments.NewOdsStepLstServiceImplement()
}
