package om

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/om"
	"LAPP_GAAS_GFrame_BACKEND/services/om/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type ProdOrderStatusService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ProdOrderStatus) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.ProdOrderStatus, error)
	UpdateOne(*models.Usertab, *model.ProdOrderStatus) error
}

func NewProdOrderStatusService() ProdOrderStatusService {
	return implments.NewProdOrderStatusServiceImplement()
}
