package qm

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
	"LAPP_GAAS_GFrame_BACKEND/services/qm/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type ArtViewService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ArtView) error
	DeleteOne(*models.Usertab, string, string) error
	SelectOne(*models.Usertab, string, string) (*model.ArtView, error)
	UpdateOne(*models.Usertab, *model.ArtView) error
}

func NewArtViewService() ArtViewService {
	return implments.NewArtViewServiceImplement()
}
