package qm

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
	"LAPP_GAAS_GFrame_BACKEND/services/qm/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type DefectGrpService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.DefectGrp) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.DefectGrp, error)
	UpdateOne(*models.Usertab, *model.DefectGrp) error
}

func NewDefectGrpService() DefectGrpService {
	return implments.NewDefectGrpServiceImplement()
}
