package log

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi/container"
	svr "LAPP_GAAS_GFrame_BACKEND/services/log"
	"github.com/kataras/iris/v12/core/router"
	"log"
)

func ext(party router.Party) {
	var serviceOfExt = svr.NewExtService()

	componentContainer := container.NewComponentContainer()
	if err := componentContainer.Parse(&ServiceMapping{
		PackOrder: serviceOfExt,
	}); err != nil {
		log.Fatalln(err)
		return
	}
	container.Bind(componentContainer, party)
}
