package base

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

type WorkLineWorkShiftLstDAO interface {
	//插入WorkLineWorkShiftLst
	InsertOne(entity *model.WorkLineWorkShiftLst) error
	//删除指定键的WorkLineWorkShiftLst
	DeleteOne(workLineId string, workDay string, pos int) error
	//查找指定键的WorkLineWorkShiftLst
	SelectOne(workLineId string, workDay string, pos int) (*model.WorkLineWorkShiftLst, error)
	//修改WorkLineWorkShiftLst
	UpdateOne(entity *model.WorkLineWorkShiftLst) error
	//按条件查询WorkLineWorkShiftLst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.WorkLineWorkShiftLst, error)
	//按条件查询WorkLineWorkShiftLst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewWorkLineWorkShiftLstDAO(session *xorm.Session, plantNr int, userid string) WorkLineWorkShiftLstDAO {
	return implments.NewWorkLineWorkShiftLstDAOImplement(session, plantNr, userid)
}
