package base

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

type WorkShiftEffLstDAO interface {
	//插入WorkShiftEffLst
	InsertOne(entity *model.WorkShiftEffLst) error
	//删除指定键的WorkShiftEffLst
	DeleteOne(workShiftNr int, levelId string) error
	//查找指定键的WorkShiftEffLst
	SelectOne(workShiftNr int, levelId string) (*model.WorkShiftEffLst, error)
	//修改WorkShiftEffLst
	UpdateOne(entity *model.WorkShiftEffLst) error
	//按条件查询WorkShiftEffLst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.WorkShiftEffLst, error)
	//按条件查询WorkShiftEffLst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewWorkShiftEffLstDAO(session *xorm.Session, plantNr int, userid string) WorkShiftEffLstDAO {
	return implments.NewWorkShiftEffLstDAOImplement(session, plantNr, userid)
}
