package log

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"github.com/go-xorm/xorm"
)

type VendorUserLstDAO interface {
	//插入VendorUserLst
	InsertOne(entity *model.VendorUserLst) error
	//删除指定键的VendorUserLst
	DeleteOne(vendorId string) error
	//查找指定键的VendorUserLst
	SelectOne(vendorId string) (*model.VendorUserLst, error)
	//修改VendorUserLst
	UpdateOne(entity *model.VendorUserLst) error
	//按条件查询VendorUserLst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.VendorUserLst, error)
	//按条件查询VendorUserLst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewVendorUserLstDAO(session *xorm.Session, plantNr int, userid string) VendorUserLstDAO {
	return implments.NewVendorUserLstDAOImplement(session, plantNr, userid)
}
