package ods

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/ods/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/ods"
	"github.com/go-xorm/xorm"
)

type ArtRouteOdsLstDAO interface {
	//插入ArtRouteOdsLst
	InsertOne(entity *model.ArtRouteOdsLst) error
	//删除指定键的ArtRouteOdsLst
	DeleteOne(artId string, operationNr int, pos int) error
	//查找指定键的ArtRouteOdsLst
	SelectOne(artId string, operationNr int, pos int) (*model.ArtRouteOdsLst, error)
	//修改ArtRouteOdsLst
	UpdateOne(entity *model.ArtRouteOdsLst) error
	//按条件查询ArtRouteOdsLst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.ArtRouteOdsLst, error)
	//按条件查询ArtRouteOdsLst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewArtRouteOdsLstDAO(session *xorm.Session, plantNr int, userid string) ArtRouteOdsLstDAO {
	return implments.NewArtRouteOdsLstDAOImplement(session, plantNr, userid)
}
