package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type AttributeService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.Attribute) error
	DeleteOne(*models.Usertab, int) error
	SelectOne(*models.Usertab, int) (*model.Attribute, error)
	UpdateOne(*models.Usertab, *model.Attribute) error
}

func NewAttributeService() AttributeService {
	return implments.NewAttributeServiceImplement()
}
