package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type AttributeGroupValstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.AttributeGroupValst) error
	DeleteOne(*models.Usertab, int, int) error
	SelectOne(*models.Usertab, int, int) (*model.AttributeGroupValst, error)
	UpdateOne(*models.Usertab, *model.AttributeGroupValst) error
}

func NewAttributeGroupValstService() AttributeGroupValstService {
	return implments.NewAttributeGroupValstServiceImplement()
}
