package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type AttributeValstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.AttributeValst) error
	DeleteOne(*models.Usertab, int, int) error
	SelectOne(*models.Usertab, int, int) (*model.AttributeValst, error)
	UpdateOne(*models.Usertab, *model.AttributeValst) error
}

func NewAttributeValstService() AttributeValstService {
	return implments.NewAttributeValstServiceImplement()
}
