package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type CostCenterService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.CostCenter) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.CostCenter, error)
	UpdateOne(*models.Usertab, *model.CostCenter) error
}

func NewCostCenterService() CostCenterService {
	return implments.NewCostCenterServiceImplement()
}
