package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type StatusColorService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.StatusColor) error
	DeleteOne(*models.Usertab, string, string) error
	SelectOne(*models.Usertab, string, string) (*model.StatusColor, error)
	UpdateOne(*models.Usertab, *model.StatusColor) error
}

func NewStatusColorService() StatusColorService {
	return implments.NewStatusColorServiceImplement()
}
