package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type UomService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.Uom) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.Uom, error)
	UpdateOne(*models.Usertab, *model.Uom) error
}

func NewUomService() UomService {
	return implments.NewUomServiceImplement()
}
