package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type WorkCalendarService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.WorkCalendar) error
	DeleteOne(*models.Usertab, int) error
	SelectOne(*models.Usertab, int) (*model.WorkCalendar, error)
	UpdateOne(*models.Usertab, *model.WorkCalendar) error
}

func NewWorkCalendarService() WorkCalendarService {
	return implments.NewWorkCalendarServiceImplement()
}
