package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type WorkCalendarLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.WorkCalendarLst) error
	DeleteOne(*models.Usertab, int, int) error
	SelectOne(*models.Usertab, int, int) (*model.WorkCalendarLst, error)
	UpdateOne(*models.Usertab, *model.WorkCalendarLst) error
}

func NewWorkCalendarLstService() WorkCalendarLstService {
	return implments.NewWorkCalendarLstServiceImplement()
}
