package base

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"LAPP_GAAS_GFrame_BACKEND/services/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type WorkLineWorkShiftLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.WorkLineWorkShiftLst) error
	DeleteOne(*models.Usertab, string, string, int) error
	SelectOne(*models.Usertab, string, string, int) (*model.WorkLineWorkShiftLst, error)
	UpdateOne(*models.Usertab, *model.WorkLineWorkShiftLst) error
}

func NewWorkLineWorkShiftLstService() WorkLineWorkShiftLstService {
	return implments.NewWorkLineWorkShiftLstServiceImplement()
}
