package log

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"LAPP_GAAS_GFrame_BACKEND/services/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type ExtService interface {
	Test(*models.Usertab) (string, error)
	ClosePackOrder(*models.Usertab, string, []int) error
	OpenPackOrder(*models.Usertab, string) ([]model.PackTemplate, error)
	OpenPackOrderWithTemplate(*models.Usertab, string, string) error
}

func NewExtService() ExtService {
	return &implments.ExtServiceImplement{}
}
