package log

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"LAPP_GAAS_GFrame_BACKEND/services/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type PackOrderService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.PackOrder) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.PackOrder, error)
	UpdateOne(*models.Usertab, *model.PackOrder) error
}

func NewPackOrderService() PackOrderService {
	return implments.NewPackOrderServiceImplement()
}
