package log

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"LAPP_GAAS_GFrame_BACKEND/services/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type PackTemplateService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.PackTemplate) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.PackTemplate, error)
	UpdateOne(*models.Usertab, *model.PackTemplate) error
}

func NewPackTemplateService() PackTemplateService {
	return implments.NewPackTemplateServiceImplement()
}
