package ods

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/ods"
	"LAPP_GAAS_GFrame_BACKEND/services/ods/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type ArtRouteOdsLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ArtRouteOdsLst) error
	DeleteOne(*models.Usertab, string, int, int) error
	SelectOne(*models.Usertab, string, int, int) (*model.ArtRouteOdsLst, error)
	UpdateOne(*models.Usertab, *model.ArtRouteOdsLst) error
}

func NewArtRouteOdsLstService() ArtRouteOdsLstService {
	return implments.NewArtRouteOdsLstServiceImplement()
}
