package ods

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/ods"
	"LAPP_GAAS_GFrame_BACKEND/services/ods/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type OdsHeadService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.OdsHead) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.OdsHead, error)
	UpdateOne(*models.Usertab, *model.OdsHead) error
}

func NewOdsHeadService() OdsHeadService {
	return implments.NewOdsHeadServiceImplement()
}
