package om

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/om"
	"LAPP_GAAS_GFrame_BACKEND/services/om/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type ProdOrderService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ProdOrder) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.ProdOrder, error)
	UpdateOne(*models.Usertab, *model.ProdOrder) error
}

func NewProdOrderService() ProdOrderService {
	return implments.NewProdOrderServiceImplement()
}
