package om

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/om"
	"LAPP_GAAS_GFrame_BACKEND/services/om/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type ProdOrderStatusRecLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ProdOrderStatusRecLst) error
	DeleteOne(*models.Usertab, string, int) error
	SelectOne(*models.Usertab, string, int) (*model.ProdOrderStatusRecLst, error)
	UpdateOne(*models.Usertab, *model.ProdOrderStatusRecLst) error
}

func NewProdOrderStatusRecLstService() ProdOrderStatusRecLstService {
	return implments.NewProdOrderStatusRecLstServiceImplement()
}
