package qm

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
	"LAPP_GAAS_GFrame_BACKEND/services/qm/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type DefectRecordService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.DefectRecord) error
	DeleteOne(*models.Usertab, int) error
	SelectOne(*models.Usertab, int) (*model.DefectRecord, error)
	UpdateOne(*models.Usertab, *model.DefectRecord) error
}

func NewDefectRecordService() DefectRecordService {
	return implments.NewDefectRecordServiceImplement()
}
