package qm

import (
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
	"LAPP_GAAS_GFrame_BACKEND/services/qm/implments"
	"LAPP_GAAS_GFrame_BACKEND/web/models"
)

type ViewDefectlstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ViewDefectlst) error
	DeleteOne(*models.Usertab, string, string) error
	SelectOne(*models.Usertab, string, string) (*model.ViewDefectlst, error)
	UpdateOne(*models.Usertab, *model.ViewDefectlst) error
}

func NewViewDefectlstService() ViewDefectlstService {
	return implments.NewViewDefectlstServiceImplement()
}
